Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7922 - CDROM keeps getting removed from system configuration.
Summary: CDROM keeps getting removed from system configuration.
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: kudzu
Version: 1.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-21 08:21 UTC by ryouga12
Modified: 2014-03-17 02:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-08 22:49:23 UTC


Attachments (Terms of Use)

Description ryouga12 1999-12-21 08:21:27 UTC
I have a Sony DVD-ROM DDU220E installed on my system.  I have used it in
the past to install from Red Hat 6.1.  I had no troubles the first time I
booted up linux.  However, the second time I booted up linux, the kudzu
program ran and removed the DDU220E from my configuration.  I then
attempted to reinstall the 6.1 distribution using this at the boot prompt:

linux hdc=cdrom

From there, the cdrom was detected like a normal ATAPI CDROM device.  This
resulted in recompiling the kernel, usually involving about 129 Megabytes
or packages (I forget which it was).  After recompiling, I rebooted linux
and the cdrom worked.  But after shutting down linux and rebooting, I used
lilo to boot to linux and Win98 (so sue me).  When I attempted to boot to
linux, I get unkown atapi device with kudzu running, telling me its
removing the DDU220E from my system.  I have even considering putting this
in lilo.conf:

append="hdb=noprobe hdc=cdrom" (I'm not sure if it's quotation marks or
single apostrophe's in the command line here.)

But each time I recompiled using the installation method, I get the cdrom
drive working just fine, it's just trying to keep the cdrom in the
configuration file thats getting to me.

Comment 1 Bill Nottingham 1999-12-21 15:25:59 UTC
Choose 'keep the existing configuration' and you
should be OK.

What does the entry for the drive in /etc/sysconfig/hwconf
look like?

Comment 2 Bill Nottingham 2000-02-08 22:49:59 UTC
closed, lack of input.


Note You need to log in before you can comment on or make changes to this bug.